# HaruDoc::getEncoder

(PECL haru >= 0.0.1)

HaruDoc::getEncoder — Get HaruEncoder instance for the specified encoding

### Description

HaruDoc::getEncoder ( string `$encoding` ) : object

Get the HaruEncoder instance for the specified encoding.

### Parameters

`encoding`

  The encoding name. See Builtin Encodings for the list of allowed values.

### Return Values

Returns a HaruEncoder instance for the specified encoding.

### Errors/Exceptions

Throws a HaruException on error.

### See Also

- HaruDoc::setCurrentEncoder() - Set the current encoder for the document
- HaruDoc::getCurrentEncoder() - Get HaruEncoder currently used in the document